%define major_version 1.6
%define minor_version 7
%define lib_major 0
%define lib_name %mklibname glom %{lib_major}

Name:           glom
Version:        %{major_version}.%{minor_version}
Release:        %mkrel 1
Summary:        Easy-to-use database designer and user interface
Group:          Development/Databases
License:        GPLv2+
URL:            http://www.glom.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/glom/%{major_version}/%{name}-%{major_version}.%{minor_version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  bakery-devel >= 2.4
BuildRequires:  desktop-file-utils gettext intltool
BuildRequires:  libgdamm3-devel
BuildRequires:  python
BuildRequires:  python-devel
BuildRequires:  gnome-python-gda gnome-python-gda-devel
BuildRequires:  libgnomecanvasmm2.6-devel >= 2.10
BuildRequires:  libgnome2-devel >= 2.6.0
BuildRequires:  libxslt-devel >= 1.1.10
BuildRequires:  pygtk2.0-devel >= 2.6
BuildRequires:  gnome-doc-utils
BuildRequires:  scrollkeeper
BuildRequires:  startup-notification-devel
BuildRequires:  iso-codes
BuildRequires: libxslt-proc
BuildRequires: libgtksourceviewmm-1.0-devel
BuildRequires: postgresql8.2 postgresql8.2-contrib postgresql8.2-devel postgresql8.2-pl postgresql8.2-plpgsql postgresql8.2-plpython postgresql8.2-server
BuildRequires: gettext-devel libgoocanvas-devel
BuildRequires: gnome-python-extras

Requires: gda1.2-postgres
Requires: postgresql8.2 postgresql8.2-contrib postgresql8.2-devel postgresql8.2-pl postgresql8.2-plpgsql postgresql8.2-plpython postgresql8.2-server

Requires(post):   shared-mime-info desktop-file-utils
Requires(postun): shared-mime-info desktop-file-utils
Requires(post):   scrollkeeper
Requires(postun): scrollkeeper


%description
Glom lets you design database systems - the database and the user
interface. Glom has high-level features such as relationships,
lookups, related fields, related records, calculated fields, drop-down
choices, searching, reports, users and groups. It has Numeric, Text,
Date, Time, Boolean, and Image field types. Glom systems require
almost no programming, but you may use Python for calculated fields or
buttons. Glom uses the postgresql8.2 database backend.

%package -n     %{lib_name}
Summary:        %{Summary}
Group:          System/Libraries
Obsoletes:	%mklibname glom-1_ 0

%description -n %{lib_name}
A support library for accessing Glom data.

%prep
%setup -q

%build
%configure \
        --disable-dependency-tracking \
        --disable-static \
        --disable-update-mime-database \
        --disable-scrollkeeper \
        --disable-rpath \
	--with-postgres-utils=/usr/bin
%make


%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std
#make install DESTDIR=${RPM_BUILD_ROOT}
%find_lang %{name}
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Databases" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#rm -f ${RPM_BUILD_ROOT}%{_libdir}/libglom.so

%post
%update_scrollkeeper
%{update_desktop_database}
%update_mime_database
%update_icon_cache hicolor

%postun
%clean_scrollkeeper
%{clean_desktop_database}
%clean_mime_database
%clean_icon_cache hicolor

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_libdir}/libglom.so
%{_libdir}/python2.5/site-packages/%{name}.so
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/mime-info/*
%{_datadir}/omf/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.%{lib_major}*


%changelog
* Sun Feb 03 2008 Funda Wang <fundawang@mandriva.org> 1.6.7-1mdv2008.1
+ Revision: 161683
- New version 1.6.7

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Funda Wang <fundawang@mandriva.org> 1.6.6-1mdv2008.1
+ Revision: 120561
- New version 1.6.6

* Tue Dec 04 2007 Jérôme Soyer <saispo@mandriva.org> 1.6.5-1mdv2008.1
+ Revision: 115354
- New release 1.6.5

* Mon Nov 19 2007 Funda Wang <fundawang@mandriva.org> 1.6.4-1mdv2008.1
+ Revision: 110243
- New version 1.6.4

* Fri Nov 09 2007 Jérôme Soyer <saispo@mandriva.org> 1.6.3-1mdv2008.1
+ Revision: 107004
- New release 1.6.3

* Sun Oct 21 2007 Jérôme Soyer <saispo@mandriva.org> 1.6.2-1mdv2008.1
+ Revision: 100802
- New release 1.6.2
- New release 1.6.2

  + Funda Wang <fundawang@mandriva.org>
    - fix libname

* Wed Oct 10 2007 Jérôme Soyer <saispo@mandriva.org> 1.6.1-1mdv2008.1
+ Revision: 96798
- Fix BR
- fix
- Add files
- New release 1.6.1

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-ended-with-dot
    - kill ldconfig require as requested by pixel
    - kill file require

  + Funda Wang <fundawang@mandriva.org>
    - BR gnome-pyton-gda
    - New version

* Fri Apr 20 2007 Jérôme Soyer <saispo@mandriva.org> 1.4.3-1mdv2008.0
+ Revision: 16114
- New release 1.4.3


* Sun Apr 01 2007 Jérôme Soyer <saispo@mandriva.org> 1.4.2-1mdv2007.1
+ Revision: 150143
- New release

* Fri Mar 16 2007 Jérôme Soyer <saispo@mandriva.org> 1.4.0-1mdv2007.1
+ Revision: 144725
- New version 1.4.0

* Sun Mar 11 2007 Jérôme Soyer <saispo@mandriva.org> 1.3.12-1mdv2007.1
+ Revision: 141382
- New release 1.3.12
- Add Requires

* Thu Mar 08 2007 Jérôme Soyer <saispo@mandriva.org> 1.3.11-1mdv2007.1
+ Revision: 134981
- Build
- Build
- Build
- New release 1.3.11
- Add Patch for PostgreSQL
- Remove test on arch
- New release 1.3.10

* Sat Jan 06 2007 Jérôme Soyer <saispo@mandriva.org> 1.2.2-1mdv2007.1
+ Revision: 104892
- Add BuildRequires
- Add iso-codes
- Fix bakery-devel BR
- Add BuildRequires
- Import glom

